Skip to main content
GET
/
shipments
Search shipments
curl --request GET \
  --url https://api.shippeek.dev/shipments \
  --header 'Authorization: Bearer <token>'
{
  "shipments": [
    {
      "id": "<string>",
      "createdDate": "2023-11-07T05:31:56Z",
      "status": "<string>",
      "origin": {
        "company": "<string>",
        "address": "<string>",
        "address2": "<string>",
        "city": "<string>",
        "state": "<string>",
        "postalCode": "<string>",
        "country": "<string>"
      },
      "destination": {
        "company": "<string>",
        "address": "<string>",
        "address2": "<string>",
        "city": "<string>",
        "state": "<string>",
        "postalCode": "<string>",
        "country": "<string>"
      },
      "carrier": {
        "name": "<string>",
        "scac": "<string>"
      },
      "cost": {
        "total": 123,
        "currency": "<string>"
      }
    }
  ],
  "continuationToken": "<string>"
}

Authorizations

Authorization
string
header
required

Your ShipPeek API token in the format client_id.client_secret.

Query Parameters

continuationToken
string

Pagination token from a previous response

Search by PRO, tracking number, reference, BOL, company, city, or postal code

status
enum<string>[]

Filter by shipment status

Available options:
pending,
awarded,
confirmed,
picked-up,
delivered,
canceled
mode
enum<string>[]

Filter by transport mode

Available options:
ltl,
parcel,
truckload
pickupDateStart
string<date>

Start of pickup date range (YYYY-MM-DD)

pickupDateEnd
string<date>

End of pickup date range (YYYY-MM-DD)

Response

Shipments returned

shipments
object[]
continuationToken
string

Token to fetch the next page